Description

Cuando se utiliza la calculadora de campos para añadir perimetros o areas el usuario no sabe en que va a obtener el resultado.
Deberia indicar que el resutado sera en metros si la capa esta proyectada en UTM y en grados decimales si esta en geograficas.

Associated revisions
Revision 30 - 07/25/2014 11:02 AM - Joaquín  del Cerro Murciano

Añadida a la descripcion de la area y perimetro que usa las unidades de la vista, refs #2711

History
#1 - 07/23/2014 05:59 PM - Álvaro Anguix

Esto...un área o un perímetro... ¿puede estar en grados?

#2 - 07/24/2014 05:33 AM - Antonio Falciano

Hi all,
if the view CRS is a geographical one and the map units (always visible in the status bar) is meters, I'd expect that the calculated distances and areas
are respectively in meters and squared meters. On the other side, a skilled user could ask if those distances are calculated with the great circle formula
(fastest) or with Vincenty's one (more accurate). Adding such information about distance and area calculations in the Preferences could be a great
(but not original) idea. ;)

#3 - 07/25/2014 10:43 AM - Joaquín  del Cerro Murciano

Álvaro Anguix wrote:

Esto...un área o un perímetro... ¿puede estar en grados?

Me temo que si.

05/17/2024 1/2



#4 - 07/25/2014 10:55 AM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:

Hi all,
if the view CRS is a geographical one and the map units (always visible in the status bar) is meters, I'd expect that the calculated distances and
areas are respectively in meters and squared meters. On the other side, a skilled user could ask if those distances are calculated with the great
circle formula (fastest) or with Vincenty's one (more accurate). Adding such information about distance and area calculations in the Preferences
could be a great (but not original) idea. ;)

Pues no me habia dado cuenta.... al parecer si usa las unidades de la vista para calcular el perimetro y el area.

Sobre que algoritmo usa para calcular la distancia, por lo que he visto (yo no entiendo mucho de geo), usa algo que llama "distance Vincenty".

#5 - 07/25/2014 10:58 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Me he limitado a añadir una coletilla al final de la descripcion de la operacion indicando que usa las unidades de la vista.

#6 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#7 - 07/29/2014 06:09 AM - Álvaro Anguix
- Status changed from Fixed to Closed
